{% extends 'base.html.twig' %}

{% block title %}
    {{ parent() }} | Detail
{% endblock %}

{% block body %}

    <h4>Détail de la sortie {{ event.name }}</h4>
    <div class="div-affichage">
        <div class="div_detail_event">
            <fieldset class="fieldset_detail_event">
                <label for="" class="label">Date de l'événement : {{ event.startingTime | date('Y-m-d') }}</label>
                <br>
                <br>
                <label for="" class="label">Date d'enregistrement maximale : {{ event.lastRegistrationDate | date('Y-m-d') }}</label>
                <br>
                <br>
                <label for="" class="label">Nombre maximum d'invités : {{ event.nbMaxRegistration }}</label>
                <br>
                <br>
                <label for="" class="label">Informations : {{ event.information }}</label>
                <br>
                <br>
                <label for="" class="label">Etat : {{ event.state.label }}</label>
                <br>
                <br>
                <label for="" class="label">Organisateur : <a href="{{ path('profile_show', {'id': event.organisateur.id}) }}" class="btn_nom_profil">{{ event.organisateur.firstname }} {{ event.organisateur.lastname }}</a></label>
                <br>
                <br>

            </fieldset>
            <fieldset class="fieldset_detail_event">
                <label for="" class="label">Lieu : {{ event.place.name }}</label>
                <br>
                <br>
                <label for="" class="label">Rue : {{ event.place.street }}</label>
                <br>
                <br>
                <label for="" class="label">Ville : {{ event.place.city.name }}</label>
                <br>
                <br>
                <label for="" class="label">Code postal : {{ event.place.city.zipCode }}</label>
                <br>
                <br>
                {% if (event.place.latitude != null) and (event.place.longitude != null) %}
                    <label for="" class="label">Longitude : {{ event.place.latitude }}</label>
                    <br>
                    <br>
                    <label for="" class="label">Latitude : {{ event.place.longitude }}</label>
                    <br>
                    <br>
                {% endif %}

            </fieldset>
        </div>
    </div>
    <br>
    <div class="div-form">
        {% if (user != null) and (event.organisateur.email == user.email) %}
            {% if event.state.label != 'Annulé' %}
                {% if event.state.label != 'Ouvert' %}
                    <a href="{{ path('event_edit', {'id': event.id}) }}" class="btn_home_creer_sortie">Modifier</a>
                {% endif %}
                <br>
                <a href="{{ path('event_delete', {'id': event.id}) }}"class="btn_home_creer_sortie" >Annuler une sortie</a>
            {% endif %}
        {% endif %}

    </div>



    <br>
    <br>
    <div class="div-form">
        <h4>Liste des participants : </h4>
        <br>
        <fieldset class="fieldset_event_participants">
            {% for user in event.lstUser %}
                <label for="" class="label">
                    <a href="{{ path('profile_show', {'id': user.id}) }}" class="btn_nom_profil">{{ user.firstname }} {{ user.lastname }}</a>
                </label>
                <br>
            {% endfor %}
        </fieldset>
    </div>

{% endblock %}